Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.launch
Class QVTODebugConfiguration

    java.lang.Object
      LaunchConfigurationDelegate
          org.eclipse.m2m.internal.qvt.oml.runtime.launch.QvtLaunchConfigurationDelegateBase
              org.eclipse.m2m.internal.qvt.oml.runtime.launch.QvtLaunchConfigurationDelegate
                  org.eclipse.m2m.qvt.oml.debug.core.launch.QVTODebugConfiguration

    public class QVTODebugConfiguration

extends org.eclipse.m2m.internal.qvt.oml.runtime.launch.QvtLaunchConfigurationDelegate

Field Summary
`static IStatus` | `MODIFIED_SOURCE_STATUS`

Fields inherited from class org.eclipse.m2m.internal.qvt.oml.runtime.launch.QvtLaunchConfigurationDelegate
`LAUNCH_CONFIGURATION_TYPE_ID`

Constructor Summary
`QVTODebugConfiguration()`

Method Summary
`void` | `launch(ILaunchConfiguration configuration, java.lang.String mode, ILaunch launch, IProgressMonitor monitor)`

Methods inherited from class org.eclipse.m2m.internal.qvt.oml.runtime.launch.QvtLaunchConfigurationDelegateBase
`doLaunch, doLaunch, doLaunch, doLaunch, getModuleFile, getProjectsForProblemSearch, getQvtModule, getSafeRunnable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODIFIED_SOURCE_STATUS

    public static final IStatus MODIFIED_SOURCE_STATUS

Constructor Detail

### QVTODebugConfiguration

    public QVTODebugConfiguration()

Method Detail

### launch

    public void launch(ILaunchConfiguration configuration,
                       java.lang.String mode,
                       ILaunch launch,
                       IProgressMonitor monitor)
                throws CoreException

  Overrides:
    `launch` in class `org.eclipse.m2m.internal.qvt.oml.runtime.launch.QvtLaunchConfigurationDelegate`
  Throws:
    `CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD